- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
G::SignalImp Class Reference

Part of the slot/signal system. More...

`#include <gslot.h>`

## Static Public Member Functions
static void | check (const SlotBase *p)

## Detailed Description

Part of the slot/signal system.

A static helper class used by Signal<> classes.

Definition at line 66 of file gslot.h.

## Member Function Documentation

void G::SignalImp::check | ( | const SlotBase * | p | ) |
| static

Definition at line 46 of file gslot.cpp.

Referenced by G::Signal0::connect(), G::Signal1< bool >::connect(), G::Signal2< std::string, std::string >::connect(), and G::Signal3< bool, unsigned long, std::string >::connect().

The documentation for this class was generated from the following files:

- gslot.h
- gslot.cpp